package sample;

import javafx.animation.AnimationTimer;
import javafx.application.Application;
import javafx.event.EventHandler;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.input.KeyCode;
import javafx.scene.input.KeyEvent;
import javafx.stage.Stage;

public class Main extends Application {
    Ball b;
    Bat bat1, bat2;
    int w,h;

    public void start(Stage primaryStage) throws Exception{
        w = 800;
        h = 600;

        b = new Ball(w/2,h/2,20, this);
        bat1 = new Bat(0,135,25,100, this);
        bat2 = new Bat(w-25,135,25,100, this);

        Group root = new Group();
        root.getChildren().add(b.node);
        root.getChildren().add(bat1.node);
        root.getChildren().add(bat2.node);

        primaryStage.setTitle("PONG");
        Scene scene = new Scene(root, w, h);
        primaryStage.setScene(scene);
        primaryStage.show();

        primaryStage.setResizable(false);

        scene.setOnKeyPressed(new EventHandler<KeyEvent>() {
            @Override
            public void handle(KeyEvent event) {
                if (event.getCode()==KeyCode.UP) {bat2.setUP();}
                if (event.getCode()==KeyCode.DOWN) {bat2.setDOWN();}
                if (event.getCode()==KeyCode.W) {bat1.setUP();}
                if (event.getCode()==KeyCode.S) {bat1.setDOWN();}
            }
        });

        scene.setOnKeyReleased(new EventHandler<KeyEvent>() {
            @Override
            public void handle(KeyEvent event) {
                if (event.getCode()==KeyCode.UP) {bat2.stop();}
                if (event.getCode()==KeyCode.DOWN) {bat2.stop();}
                if (event.getCode()==KeyCode.W) {bat1.stop();}
                if (event.getCode()==KeyCode.S) {bat1.stop();}
            }
        });

        new AnimationTimer() {
            @Override
            public void handle(long currentNanoTime) {
                b.move();
                bat1.move();
                bat2.move();
            }
        }.start();
    }

    public static void main(String[] args) {
        launch(args);
    }
}
